Table of Contents

## Name

XSetFillStyle, XSetFillRule - GC convenience routines

## Syntax

int XSetFillStyle(Display *display, GC gc, int
  fill_style);
int XSetFillRule(Display *display, GC gc, int
  fill_rule);

## Arguments

Specifies the connection to the X server.

Specifies the fill-rule you want to set for the specified GC. You can pass EvenOddRule or WindingRule.

Specifies the fill-style you want to set for the specified GC. You can pass FillSolid, FillTiled, FillStippled, or FillOpaqueStippled.

Specifies the GC.

## Description

The XSetFillStyle function sets the fill-style in the specified GC.

XSetFillStyle can generate BadAlloc, BadGC, and BadValue errors.

The XSetFillRule function sets the fill-rule in the specified GC.

XSetFillRule can generate BadAlloc, BadGC, and BadValue errors.

## Diagnostics

BadAlloc
  The server failed to allocate the requested resource or server memory.
BadGC
  A value for a GContext argument does not name a defined GContext.
BadValue
  Some numeric value falls outside the range of values accepted by the request. Unless a specific range is specified for an argument, the full range defined by the argument's type is accepted. Any argument defined as a set of alternatives can generate this error.

## See Also

XCreateGC(3X11) , XQueryBestSize(3X11) , XSetArcMode(3X11) , XSetClipOrigin(3X11) , XSetFont(3X11) , XSetLineAttributes(3X11) , XSetState(3X11) , XSetTile(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- Diagnostics
- See Also